org.eclipse.jetty.security.jaspi

## Class ServletCallbackHandler

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.ServletCallbackHandler

All Implemented Interfaces:
  CallbackHandler

    public class ServletCallbackHandler
    extends Object
    implements CallbackHandler

Idiot class required by jaspi stupidity

Version:
  $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

### Constructor Summary

Constructors
Constructor and Description
`ServletCallbackHandler(LoginService loginService)`

### Method Summary

Methods
`javax.security.auth.message.callback.CallerPrincipalCallback` `getThreadCallerPrincipalCallback()`
`javax.security.auth.message.callback.GroupPrincipalCallback` `getThreadGroupPrincipalCallback()`
`void` `handle(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletCallbackHandler

    public ServletCallbackHandler(LoginService loginService)

### Method Detail

#### handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`

#### getThreadCallerPrincipalCallback

    public javax.security.auth.message.callback.CallerPrincipalCallback getThreadCallerPrincipalCallback()

#### getThreadGroupPrincipalCallback

    public javax.security.auth.message.callback.GroupPrincipalCallback getThreadGroupPrincipalCallback()